UNIT tree;

INTERFACE

USES
    Winapi.Windows,
    Winapi.Messages,
    System.SysUtils,
    System.Variants,
    System.Classes,
    Vcl.Graphics,
    Vcl.Controls,
    Vcl.Forms,
    Vcl.Dialogs,
    AdvCustomControl,
    AdvTreeViewBase,
    AdvTreeViewData,
    AdvCustomTreeView,
    AdvTreeView,
    AdvCheckedTreeView,
    Vcl.ComCtrls,
    AdvCheckTreeView,
    AdvUtil,
    Vcl.Grids,
    AdvObj,
    BaseGrid,
    AdvGrid,
    AdvCGrid;

TYPE
    TForm2 = CLASS(TForm)
        AdvCheckTreeView1: TAdvCheckTreeView;
        list_Espece: TAdvColumnGrid;
        PROCEDURE FormCreate(Sender: TObject);
    PRIVATE
        { Dclarations prives }
    PUBLIC
        { Dclarations publiques }
    END;

VAR
    Form2: TForm2;

IMPLEMENTATION

{$R *.dfm}


PROCEDURE TForm2.FormCreate(Sender: TObject);
VAR
    i: integer;
    Poubelle: TBitmap;
BEGIN
    TRY
        Poubelle := TBitmap.Create;
        Poubelle.LoadFromFile(ExtractFilePath(Application.ExeName) + 'poubelle.bmp');

        // tree.LoadFromFile('C:\Users\odehorter\Documents\Embarcadero\Studio\Projets\Arbre\espece.csv');
        list_Espece.RowCount := 1;
        FOR i := 1 TO 10 DO
        BEGIN
            list_Espece.AddRow;
            list_Espece.AddBitButton(
                1,
                i,
                16,
                16,
                '',
                Poubelle,
                AdvGrid.HaRight,
                AdvGrid.VaTop);
            // list_Espece.CreateBitButton(1, I, 16, 16, '', AdvGrid.HaRight, AdvGrid.VaTop).LoadFromResourceName(HInstance, 'Poubelle');
        END; // Fin de FOR
    FINALLY
        list_Espece.RowCount;
        Poubelle.Free;
    END; // Fin de FINALLY
END;

END.
